{% extends "src/html/_template.njk" %}
{% set title = "Registration" %}
{% set page = "auth" %}
{% set hide_header_btn = true %}

{% block main %}
    <div class="main main--center">
        <div class="main__wrap">
            <div class="container">
                <div class="main__content">
                    <div class="form-content">
                        <div class="form-block" data-form>
                            <h1 class="form-block__header">
                                <div class="form-block__title" data-form-reg data-form-header="reg">Registration</div>
                                <div class="form-block__title" data-form-auth data-form-header="auth">Login</div>
                                <div class="form-block__title" data-form-forgot data-form-header="forgot">Forgot Password?</div>
                            </h1>
                            <form>
                                <div class="form-elem">
                                    <div class="field field--white" data-form-reg>
                                        <input type="text" class="field__input" name="name" placeholder="Name and Surname">
                                        <div class="field__icon">
                                            <svg class="ico-svg" viewBox="0 0 15 15" xmlns="http://www.w3.org/2000/svg">
                                                <use xlink:href="img/sprites/sprite-mono.svg#form_user" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                                            </svg>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-elem">
                                    <div class="field field--white">
                                        <input type="text" class="field__input" name="email" placeholder="E-mail">
                                        <div class="field__icon">
                                            <svg class="ico-svg" viewBox="0 0 15 15" xmlns="http://www.w3.org/2000/svg">
                                                <use xlink:href="img/sprites/sprite-mono.svg#form_envelope" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                                            </svg>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-elem">
                                    <div class="field field--white" data-form-password>
                                        <input type="text" class="field__input" name="pass" placeholder="Password">
                                        <div class="field__icon">
                                            <svg class="ico-svg" viewBox="0 0 15 15" xmlns="http://www.w3.org/2000/svg">
                                                <use xlink:href="img/sprites/sprite-mono.svg#form_key" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                                            </svg>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-elem" data-form-reg>
                                    <div class="field field--white">
                                        <input type="text" class="field__input" name="pass_repeat" placeholder="Repeat password">
                                        <div class="field__icon">
                                            <svg class="ico-svg" viewBox="0 0 15 15" xmlns="http://www.w3.org/2000/svg">
                                                <use xlink:href="img/sprites/sprite-mono.svg#form_key" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                                            </svg>
                                        </div>
                                    </div>
                                </div>
                                <div class="form-elem pt-20" data-form-reg>
                                    <label class="pretty-checkbox">
                                        <input type="checkbox" class="pretty-checkbox__input" name="check">
                                        <span class="pretty-checkbox__label">I agree to the processing of my personal data and <a href="#">User Agreement</a></span>
                                    </label>
                                </div>
                                <div class="form-block__footer">
                                    <div class="form-block__actions" data-form-reg>
                                        <div class="form-block__row">
                                            <div class="form-block__button">
                                                <button type="button" class="btn">create account</button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-block__actions" data-form-auth>
                                        <div class="form-block__row">
                                            <div class="form-block__button">
                                                <button type="button" class="btn">login</button>
                                            </div>
                                            <div class="form-block__forgot">
                                                <button type="button" class="btn-link" data-form-pwd>Forgot password?</button>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="form-block__actions" data-form-forgot>
                                        <div class="form-block__row">
                                            <div class="form-block__button">
                                                <button type="button" class="btn">Send</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="footer">
        <div class="container">
            <div class="form-switch" data-form-switcher>
                <div class="form-switch__login">
                    <div class="form-switch__wrap">
                        <div class="form-switch__text">Do not have an account? -</div>
                        <div class="form-switch__button">
                            <button type="button" class="btn btn-sm form-switch__toggle" data-switch-register>register</button>
                        </div>
                    </div>
                </div>
                <div class="form-switch__reg">
                    <div class="form-switch__wrap">
                        <div class="form-switch__text">Already have an account? -</div>
                        <div class="form-switch__button">
                            <button type="button" class="btn btn-sm form-switch__toggle" data-switch-login>login</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
